/* Copyright (c) 1997 Andrew Maltsev <am@amsoft.ru>
 * All rights reserved
 * 
 * Plain C EasySQL test suite. Even less complete, than ck.C
 *
 * $Id: ck_c.c,v 1.2 1997/10/23 18:40:06 am Exp $
*/
#include <stdio.h>
#include "easysql.h"

int
main(int ac, char *av[])
{ esqlDB db;
  esqlResult r;
  esqlRow row;

  db=easysql_open(ac==2 ? av[1] : "null");
  if(!easysql_ok(db))
   { printf("Error: %s\n",easysql_error_text(db));
     return 1;
   }

  easysql_set_option(db,"database","test");

  printf("Driver info:   `%s'\n",easysql_driver_version(db));
  printf("Driver status: `%s'\n",easysql_driver_status(db));

  easysql_query(db,"DROP TABLE test_esql");
  easysql_query(db,"CREATE TABLE test_esql (a CHAR(10), b INT)");
  easysql_query(db,"INSERT INTO test_esql VALUES ('%s',123)",easysql_string(db,"t'\\\"est",NULL));

  printf("Driver info:   `%s'\n",easysql_driver_version(db));
  printf("Driver status: `%s'\n",easysql_driver_status(db));

  printf("Escaping: `%s' ->> `%s'\n","1234",easysql_string(db,"1234",NULL));
  printf("Escaping: `%s' ->> `%s'\n","1'2\"3\\4",easysql_string(db,"1'2\"3\\4",NULL));
  printf("Escaping: `%s' ->> `%s'\n","",easysql_string(db,"",NULL));

  r=easysql_query(db,"SELECT * FROM test_esql");
  row=easysql_row(db,r);
  if(row)
   { printf("Query results:\n");
     do
      printf("`%s'\n",row[0]);
     while((row=easysql_row(db,r))!=NULL);
   }
  else
   printf("Query returned no data\n");

  easysql_close(db);

  return 0;
}
